WordPress.org

Support

Support » Plugins and Hacks » Yoast SEO » [Resolved] [Plugin: WordPress SEO by Yoast] XML Error with WP-Ecommerce 3.8

[Resolved] [Plugin: WordPress SEO by Yoast] XML Error with WP-Ecommerce 3.8

Viewing 4 replies - 1 through 4 (of 4 total)
  • I was having this trouble also on 3.8. It looks like there is wp e-commerce specific code for the sitemap to get the categories and products from the old db tables. I updated wordpress-seo/sitemaps/xml-sitemap-class.php at line 280 to

    if ( defined('WPSC_VERSION') && WPSC_VERSION < 3.8 ) {

    and it seems to fix the error for me. It is just makes it skip that section of code which I think is not relevant now that products are custom post types.

    Thanks!

    This works perfectly!

    Awesome! I was getting annoyed with that error! Worked great! Thanks!

    Plugin Author Joost de Valk

    @joostdevalk

    Should be fixed now right? Also, since 3.8 switched to using custom post types, I think it no longer needs the custom code anymore either.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] [Plugin: WordPress SEO by Yoast] XML Error with WP-Ecommerce 3.8’ is closed to new replies.
Skip to toolbar